# Generated by Django 4.1.7 on 2023-03-04 14:49

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("assignments", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Assignment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(default="", max_length=50)),
                ("description", models.TextField(default="", max_length=700)),
                ("perfect_score", models.PositiveIntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name="Course",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(default="", max_length=10)),
                ("title", models.CharField(default="", max_length=50)),
                (
                    "section",
                    models.CharField(
                        default="",
                        max_length=3,
                        unique=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                "r^[a-zA-Z]*$", "Only letters are allowed"
                            )
                        ],
                    ),
                ),
            ],
        ),
        migrations.DeleteModel(
            name="Assignments",
        ),
        migrations.AddField(
            model_name="assignment",
            name="course",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="assignments.course"
            ),
        ),
    ]
